Remove favorite use case
curl --request DELETE \
--url https://api.example.com/api/core/user/profile/favorites/use-cases/{use_case_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/core/user/profile/favorites/use-cases/{use_case_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/core/user/profile/favorites/use-cases/{use_case_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"preferred_model": "<string>",
"active_org_id": "<string>",
"favorite_use_cases": [
"<string>"
],
"login_history": [
{
"timestamp": "2023-11-07T05:31:56Z",
"method": "<string>",
"ip_address": "<string>",
"user_agent": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"oauth_tokens": {},
"email": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}user
Remove favorite use case
Remove a use case from the user’s favorites list and return updated profile
DELETE
/
api
/
core
/
user
/
profile
/
favorites
/
use-cases
/
{use_case_id}
Remove favorite use case
Authorizations
BearerAuthAuthorizationProvider
Bearer token authentication. Format: 'Bearer '
Path Parameters
Response
Successful Response
Response model for user profile that includes email from authenticated user
Subset of locales supported by the frontend and our MultilingualText model.
Available options:
de, en, es, fr, it, nl, pl, pt, sv Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

